import * as React from 'react';

// tslint:disable-next-line:no-any
const SvgComponent = (props: any) => (
	<svg viewBox="0 0 40 40" {...props}>
		<path d="M20.17 25.53a21.45 21.45 0 0 1 7.13.89 21.45 21.45 0 0 1-7.13.89 21.53 21.53 0 0 1-7.17-.89 21.53 21.53 0 0 1 7.17-.89zm-7.42-7.34V25c2.12-.83 5.94-.91 7.42-.91s5.29.08 7.41.91v-6.81c-.51-.38-3.08-1-7.41-1s-6.9.62-7.42 1zM40 0v40H0V0zm-5 17.52a1.49 1.49 0 0 0-1-1.41l-13.36-4.45a1.58 1.58 0 0 0-.47-.07 1.49 1.49 0 0 0-.47.07L6.35 16.11a1.48 1.48 0 0 0 0 2.82l1.21.4v2.46L6.15 24.6l1.33.67.82-1.64.82 1.64 1.33-.67L9 21.79v-2l2.23.75v5.85c0 2.2 6.81 2.37 8.9 2.37s8.9-.17 8.9-2.37v-5.82L34 18.93a1.5 1.5 0 0 0 1-1.41zm-28.18 0L11.27 19v-1c0-2.2 6.81-2.37 8.9-2.37s8.9.17 8.9 2.37v1l4.45-1.48-13.35-4.45z" />
	</svg>
);

export default SvgComponent;
